import { Event } from '../../../base/common/event.js';
import '../../../base/common/iterator.js';
import '../../../base/common/lifecycle.js';
import { createDecorator } from '../../instantiation/common/instantiation.js';
const IPolicyService = ( createDecorator('policy'));
class NullPolicyService {
    constructor() {
        this.onDidChange = Event.None;
    }
    async updatePolicyDefinitions() { return {}; }
    getPolicyValue() { return undefined; }
    serialize() { return undefined; }
}
export { IPolicyService, NullPolicyService };
